#include <maps/wikimap/mapspro/services/tasks_social/src/stats_updater/lib/revision_helpers.h>

#include <yandex/maps/wiki/revision/filters.h>

namespace maps::wiki::stats_updater {

std::list<revision::Commit>
loadCommits(
    const std::vector<revision::DBID>& commitIds,
    pqxx::transaction_base& revisionTxn)
{
    return revision::Commit::load(
        revisionTxn,
        revision::filters::CommitAttr::id().in(commitIds)
    );
}

} // namespace maps::wiki::stats_updater
